/*--------------------------------------------------------
 *                 programa principal 
 *-------------------------------------------------------*/

main (argc, argv)
int argc;
char **argv;
{
    int erro;

    if (argc != 3)  {
        printf ("Uso: xmodem [-s][-r] nomearq\n");
	exit (-1);
    }

    if (toupper (argv[1][1]) == 'R')
       erro = xmodemReceive (argv[2]);
    else
       erro = xmodemSend (argv[2]);

    switch (erro)  {
        case 0: printf ("Ok, bem transmitido\n"); break;
        case 1: printf ("Arquivo nao encontrado\n"); break;
        case 2: printf ("Erro na leitura do arquivo\n"); break;
        case 3: printf ("Nao sincronizou com parceiro\n"); break;
        case 4: printf ("\nLimite de tentativas de transmissao esgotado\n"); break;
        case 5: printf ("\nFaltou confirmacao do fechamento do arquivo\n"); break;
        case 6: printf ("Erro na criacao do arquivo\n"); break;
        case 7: printf ("Erro na escrita do arquivo\n"); break;
        case 8: printf ("Erro de transmissao ou parceiro mudo\n"); break;
        case 9: printf ("Erro de sequencia dos blocos\n"); break;
    }
    exit (erro);
}
